Click here to Skip to main content
15,848,264 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
I'm trying to deploy my website with heroku and I'm 90% of the way there. My problem is that when I try to deploy I get an error message that tells me flask_bcrypt isn't found. The reason is because it's not appearing in my requirements.txt file, but I don't know how to add it. I've run pip freeze over and over again but it still doesn't insert flask_bcrypt in.

What I have tried:

I don't know how to work with heroku since this is my first time deploying an app, so does anyone know how to get heroku to install flask_bcrypt and potentially other packages?

Also I get a message saying
sqlalchemy.exc.NoSuchModuleError: Can't load plugin: sqlalchemy.dialects:postgres

but I have sqlalchemy in my requirements file, so I don't know why it's not registering it as being there.
Posted
Updated 24-Jul-23 0:28am
v2

1 solution

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900